# Uses of Class
org.eclipse.osgi.container.ModuleWiring

Packages that use ModuleWiring
Package
Description
org.eclipse.osgi.container

## Uses of ModuleWiring in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return ModuleWiring
Modifier and Type
Method
Description
`ModuleWiring`
ModuleWire.`getProviderWiring()`
`ModuleWiring`
ModuleWire.`getRequirerWiring()`
`ModuleWiring`
ModuleRevision.`getWiring()`
Methods in org.eclipse.osgi.container with parameters of type ModuleWiring
Modifier and Type
Method
Description
`ModuleLoader`
ModuleContainerAdaptor.`createModuleLoader(ModuleWiring wiring)`
Creates a new `ModuleLoader` for the specified wiring.
`void`
ModuleContainerAdaptor.`invalidateWiring(ModuleWiring moduleWiring, ModuleLoader current)`
This is called when a wiring is made invalid and allows the adaptor to react to this.